Package com.databricks.jdbc.client.impl.thrift.generated

## Class TDBSqlSessionConf

- java.lang.Object
- - com.databricks.jdbc.client.impl.thrift.generated.TDBSqlSessionConf

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TDBSqlSessionConf>`, `org.apache.thrift.TBase<TDBSqlSessionConf,​TDBSqlSessionConf._Fields>`, `org.apache.thrift.TSerializable`

    @Generated(value="Autogenerated by Thrift Compiler (0.19.0)",
               date="2024-05-06")
    public class TDBSqlSessionConf
    extends Object
    implements org.apache.thrift.TBase<TDBSqlSessionConf,​TDBSqlSessionConf._Fields>, Serializable, Cloneable, Comparable<TDBSqlSessionConf>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDBSqlSessionConf._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`Map<String,​String>` `confs`
`String` `currentCatalog`
`String` `currentDatabase`
`List<TExpressionInfo>` `expressionsInfos`
`Map<String,​TDBSqlConfValue>` `internalConfs`
`static Map<TDBSqlSessionConf._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`TDBSqlSessionCapabilities` `sessionCapabilities`
`List<TSQLVariable>` `tempVariables`
`List<TDBSqlTempView>` `tempViews`

### Constructor Summary

Constructors
`TDBSqlSessionConf()`
`TDBSqlSessionConf​(TDBSqlSessionConf other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToExpressionsInfos​(TExpressionInfo elem)`
`void` `addToTempVariables​(TSQLVariable elem)`
`void` `addToTempViews​(TDBSqlTempView elem)`
`void` `clear()`
`int` `compareTo​(TDBSqlSessionConf other)`
`TDBSqlSessionConf` `deepCopy()`
`boolean` `equals​(TDBSqlSessionConf that)`
`boolean` `equals​(Object that)`
`TDBSqlSessionConf._Fields` `fieldForId​(int fieldId)`
`Map<String,​String>` `getConfs()`
`int` `getConfsSize()`
`String` `getCurrentCatalog()`
`String` `getCurrentDatabase()`
`List<TExpressionInfo>` `getExpressionsInfos()`
`Iterator<TExpressionInfo>` `getExpressionsInfosIterator()`
`int` `getExpressionsInfosSize()`
`Object` `getFieldValue​(TDBSqlSessionConf._Fields field)`
`Map<String,​TDBSqlConfValue>` `getInternalConfs()`
`int` `getInternalConfsSize()`
`TDBSqlSessionCapabilities` `getSessionCapabilities()`
`List<TSQLVariable>` `getTempVariables()`
`Iterator<TSQLVariable>` `getTempVariablesIterator()`
`int` `getTempVariablesSize()`
`List<TDBSqlTempView>` `getTempViews()`
`Iterator<TDBSqlTempView>` `getTempViewsIterator()`
`int` `getTempViewsSize()`
`int` `hashCode()`
`boolean` `isSet​(TDBSqlSessionConf._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetConfs()` Returns true if field confs is set (has been assigned a value) and false otherwise
`boolean` `isSetCurrentCatalog()` Returns true if field currentCatalog is set (has been assigned a value) and false otherwise
`boolean` `isSetCurrentDatabase()` Returns true if field currentDatabase is set (has been assigned a value) and false otherwise
`boolean` `isSetExpressionsInfos()` Returns true if field expressionsInfos is set (has been assigned a value) and false otherwise
`boolean` `isSetInternalConfs()` Returns true if field internalConfs is set (has been assigned a value) and false otherwise
`boolean` `isSetSessionCapabilities()` Returns true if field sessionCapabilities is set (has been assigned a value) and false otherwise
`boolean` `isSetTempVariables()` Returns true if field tempVariables is set (has been assigned a value) and false otherwise
`boolean` `isSetTempViews()` Returns true if field tempViews is set (has been assigned a value) and false otherwise
`void` `putToConfs​(String key, String val)`
`void` `putToInternalConfs​(String key, TDBSqlConfValue val)`
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`TDBSqlSessionConf` `setConfs​(Map<String,​String> confs)`
`void` `setConfsIsSet​(boolean value)`
`TDBSqlSessionConf` `setCurrentCatalog​(String currentCatalog)`
`void` `setCurrentCatalogIsSet​(boolean value)`
`TDBSqlSessionConf` `setCurrentDatabase​(String currentDatabase)`
`void` `setCurrentDatabaseIsSet​(boolean value)`
`TDBSqlSessionConf` `setExpressionsInfos​(List<TExpressionInfo> expressionsInfos)`
`void` `setExpressionsInfosIsSet​(boolean value)`
`void` `setFieldValue​(TDBSqlSessionConf._Fields field, Object value)`
`TDBSqlSessionConf` `setInternalConfs​(Map<String,​TDBSqlConfValue> internalConfs)`
`void` `setInternalConfsIsSet​(boolean value)`
`TDBSqlSessionConf` `setSessionCapabilities​(TDBSqlSessionCapabilities sessionCapabilities)`
`void` `setSessionCapabilitiesIsSet​(boolean value)`
`TDBSqlSessionConf` `setTempVariables​(List<TSQLVariable> tempVariables)`
`void` `setTempVariablesIsSet​(boolean value)`
`TDBSqlSessionConf` `setTempViews​(List<TDBSqlTempView> tempViews)`
`void` `setTempViewsIsSet​(boolean value)`
`String` `toString()`
`void` `unsetConfs()`
`void` `unsetCurrentCatalog()`
`void` `unsetCurrentDatabase()`
`void` `unsetExpressionsInfos()`
`void` `unsetInternalConfs()`
`void` `unsetSessionCapabilities()`
`void` `unsetTempVariables()`
`void` `unsetTempViews()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### confs

    public Map<String,​String> confs

#### tempViews

    public List<TDBSqlTempView> tempViews

#### currentDatabase

    public String currentDatabase

#### currentCatalog

    public String currentCatalog

#### sessionCapabilities

    public TDBSqlSessionCapabilities sessionCapabilities

#### expressionsInfos

    public List<TExpressionInfo> expressionsInfos

#### internalConfs

    public Map<String,​TDBSqlConfValue> internalConfs

#### tempVariables

    public List<TSQLVariable> tempVariables

#### metaDataMap

    public static final Map<TDBSqlSessionConf._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDBSqlSessionConf

    public TDBSqlSessionConf()

#### TDBSqlSessionConf

    public TDBSqlSessionConf​(TDBSqlSessionConf other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TDBSqlSessionConf deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TDBSqlSessionConf,​TDBSqlSessionConf._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TDBSqlSessionConf,​TDBSqlSessionConf._Fields>`

#### getConfsSize

    public int getConfsSize()

#### putToConfs

    public void putToConfs​(String key,
                           String val)

#### getConfs

    public Map<String,​String> getConfs()

#### setConfs

    public TDBSqlSessionConf setConfs​(Map<String,​String> confs)

#### unsetConfs

    public void unsetConfs()

#### isSetConfs

    public boolean isSetConfs()

Returns true if field confs is set (has been assigned a value) and false otherwise

#### setConfsIsSet

    public void setConfsIsSet​(boolean value)

#### getTempViewsSize

    public int getTempViewsSize()

#### getTempViewsIterator

    public Iterator<TDBSqlTempView> getTempViewsIterator()

#### addToTempViews

    public void addToTempViews​(TDBSqlTempView elem)

#### getTempViews

    public List<TDBSqlTempView> getTempViews()

#### setTempViews

    public TDBSqlSessionConf setTempViews​(List<TDBSqlTempView> tempViews)

#### unsetTempViews

    public void unsetTempViews()

#### isSetTempViews

    public boolean isSetTempViews()

Returns true if field tempViews is set (has been assigned a value) and false otherwise

#### setTempViewsIsSet

    public void setTempViewsIsSet​(boolean value)

#### getCurrentDatabase

    public String getCurrentDatabase()

#### setCurrentDatabase

    public TDBSqlSessionConf setCurrentDatabase​(String currentDatabase)

#### unsetCurrentDatabase

    public void unsetCurrentDatabase()

#### isSetCurrentDatabase

    public boolean isSetCurrentDatabase()

Returns true if field currentDatabase is set (has been assigned a value) and false otherwise

#### setCurrentDatabaseIsSet

    public void setCurrentDatabaseIsSet​(boolean value)

#### getCurrentCatalog

    public String getCurrentCatalog()

#### setCurrentCatalog

    public TDBSqlSessionConf setCurrentCatalog​(String currentCatalog)

#### unsetCurrentCatalog

    public void unsetCurrentCatalog()

#### isSetCurrentCatalog

    public boolean isSetCurrentCatalog()

Returns true if field currentCatalog is set (has been assigned a value) and false otherwise

#### setCurrentCatalogIsSet

    public void setCurrentCatalogIsSet​(boolean value)

#### getSessionCapabilities

    public TDBSqlSessionCapabilities getSessionCapabilities()

#### setSessionCapabilities

    public TDBSqlSessionConf setSessionCapabilities​(TDBSqlSessionCapabilities sessionCapabilities)

#### unsetSessionCapabilities

    public void unsetSessionCapabilities()

#### isSetSessionCapabilities

    public boolean isSetSessionCapabilities()

Returns true if field sessionCapabilities is set (has been assigned a value) and false otherwise

#### setSessionCapabilitiesIsSet

    public void setSessionCapabilitiesIsSet​(boolean value)

#### getExpressionsInfosSize

    public int getExpressionsInfosSize()

#### getExpressionsInfosIterator

    public Iterator<TExpressionInfo> getExpressionsInfosIterator()

#### addToExpressionsInfos

    public void addToExpressionsInfos​(TExpressionInfo elem)

#### getExpressionsInfos

    public List<TExpressionInfo> getExpressionsInfos()

#### setExpressionsInfos

    public TDBSqlSessionConf setExpressionsInfos​(List<TExpressionInfo> expressionsInfos)

#### unsetExpressionsInfos

    public void unsetExpressionsInfos()

#### isSetExpressionsInfos

    public boolean isSetExpressionsInfos()

Returns true if field expressionsInfos is set (has been assigned a value) and false otherwise

#### setExpressionsInfosIsSet

    public void setExpressionsInfosIsSet​(boolean value)

#### getInternalConfsSize

    public int getInternalConfsSize()

#### putToInternalConfs

    public void putToInternalConfs​(String key,
                                   TDBSqlConfValue val)

#### getInternalConfs

    public Map<String,​TDBSqlConfValue> getInternalConfs()

#### setInternalConfs

    public TDBSqlSessionConf setInternalConfs​(Map<String,​TDBSqlConfValue> internalConfs)

#### unsetInternalConfs

    public void unsetInternalConfs()

#### isSetInternalConfs

    public boolean isSetInternalConfs()

Returns true if field internalConfs is set (has been assigned a value) and false otherwise

#### setInternalConfsIsSet

    public void setInternalConfsIsSet​(boolean value)

#### getTempVariablesSize

    public int getTempVariablesSize()

#### getTempVariablesIterator

    public Iterator<TSQLVariable> getTempVariablesIterator()

#### addToTempVariables

    public void addToTempVariables​(TSQLVariable elem)

#### getTempVariables

    public List<TSQLVariable> getTempVariables()

#### setTempVariables

    public TDBSqlSessionConf setTempVariables​(List<TSQLVariable> tempVariables)

#### unsetTempVariables

    public void unsetTempVariables()

#### isSetTempVariables

    public boolean isSetTempVariables()

Returns true if field tempVariables is set (has been assigned a value) and false otherwise

#### setTempVariablesIsSet

    public void setTempVariablesIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TDBSqlSessionConf._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TDBSqlSessionConf,​TDBSqlSessionConf._Fields>`

#### getFieldValue

    public Object getFieldValue​(TDBSqlSessionConf._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TDBSqlSessionConf,​TDBSqlSessionConf._Fields>`

#### isSet

    public boolean isSet​(TDBSqlSessionConf._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TDBSqlSessionConf,​TDBSqlSessionConf._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDBSqlSessionConf that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TDBSqlSessionConf other)

Specified by:
  `compareTo` in interface `Comparable<TDBSqlSessionConf>`

#### fieldForId

    public TDBSqlSessionConf._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TDBSqlSessionConf,​TDBSqlSessionConf._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`